//////////////////////////////////////////////////////////////////////////////
//
//    BORDEROPTIONSDIALOG.H
//
//    Copyright (C) 2003 Gilles CAULIER <caulier dot gilles at free.fr>
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////


#ifndef BORDEROPTIONSDIALOG_H
#define BORDEROPTIONSDIALOG_H

// Include files for KDE

#include <kdialogbase.h>

class KIntNumInput;
class KColorButton;


class BorderOptionsDialog : public KDialogBase
{
Q_OBJECT

 public:
   BorderOptionsDialog(QWidget *parent=0, QString BorderType = 0);
   ~BorderOptionsDialog();

   KIntNumInput    *m_solidBorderWidth;
   KColorButton    *m_button_solidBorderColor;

   KIntNumInput    *m_lineNiepceBorderWidth;
   KColorButton    *m_button_lineNiepceBorderColor;
   KIntNumInput    *m_NiepceBorderWidth;
   KColorButton    *m_button_NiepceBorderColor;

   KIntNumInput    *m_raiseBorderWidth;

   KIntNumInput    *m_frameBorderWidth;
   KIntNumInput    *m_frameBevelBorderWidth;
   KColorButton    *m_button_frameBorderColor;

 private slots:
   void slotFrameBorderWidthChanged (int value);
};

#endif  // BORDEROPTIONSDIALOG_H
