//////////////////////////////////////////////////////////////////////////////
//
//    CONVERTIMAGESDIALOG.H
//
//    Copyright (C) 2003-2004 Gilles CAULIER <caulier dot gilles at free.fr>
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////


#ifndef CONVERTIMAGESDIALOG_H
#define CONVERTIMAGESDIALOG_H

// Local includes

#include "batchprocessimagesdialog.h"

class BatchProcessImagesItem;

class ConvertImagesDialog : public BatchProcessImagesDialog
{
Q_OBJECT

 public:
   ConvertImagesDialog(QWidget *parent=0, QStringList filesList=0);
   ~ConvertImagesDialog();

 private slots:
   void slotAbout(void);
   void slotOptionsClicked(void);
   void slotTypeChanged(const QString &string);

 protected:
   int                    m_JPEGPNGCompression;
   bool                   m_compressLossLess;
   QString                m_TIFFCompressionAlgo;
   QString                m_TGACompressionAlgo;

   QString makeProcess(KProcess* proc, BatchProcessImagesItem *item,
                       Digikam::AlbumInfo *albumDest);

   void readSettings(void);
   void saveSettings(void);

   QString oldFileName2NewFileName(QString fileName);
   QString ImageFileExt(QString Ext);

};

#endif  // CONVERTIMAGESDIALOG_H
